---
# handlers file for php
- name: "restart php-fpm"
  systemd:
    name: "php-fpm"
    state: "restarted"
  become: true
  when: "php_fpm | bool"

- name: "restart apache"
  systemd:
    name: "httpd"
    state: "restarted"
  become: true

- name: "Restorecon on writable directories"
  command: "restorecon -r -R -v {{ item }}"
  become: true
  with_items: "{{ php_writable_paths }}"
  when: "php_selinux | bool"

- name: "php-fpm user owner on writable diretories"
  with_items: "{{ php_writable_paths }}"
  file:
    recurse: true
    path: "{{ item }}"
    owner: "{{ php_fpm_user | default('apache') }}"
    mode: "u+rw"
  become: true
